Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236045 - "Connection" SDC page missing from Java SDC nav
Summary: "Connection" SDC page missing from Java SDC nav
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: RHN Stable
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Devan Goodwin
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 17:41 UTC by daryl herzmann
Modified: 2008-04-02 21:07 UTC (History)
2 users (show)

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-02 21:07:34 UTC


Attachments (Terms of Use)
screenshot of the sdc details > connection screen (deleted)
2007-04-11 18:13 UTC, Máirín Duffy
no flags Details

Description daryl herzmann 2007-04-11 17:41:48 UTC
For example:

https://rhn.redhat.com/rhn/systems/details/Overview.do?sid=1006954727

Under details has four items listed:
    * Overview
    * Properties
    * Hardware
    * Notes

Now click on "Notes" and a 5th item appears:
    * Overview
    * Properties
    * Connection
    * Hardware
    * Notes

Shouldn't the connection link appear on the URL above as well?

Hopefully this is not a DUP.  thanks!

Comment 1 Máirín Duffy 2007-04-11 17:45:14 UTC
hi Daryl, what kind of system is the one you're looking at? Can you send a
screenshot and/or system id?

Thanks, ~m

Comment 2 daryl herzmann 2007-04-11 17:48:21 UTC
Hi!

The SSID is in the URL I mentioned.  It is just some average EL4 WS system.

daryl

Comment 3 Máirín Duffy 2007-04-11 18:00:54 UTC
This is why this is happening:

Details is /rhn/systems/details/Overview.do - Java
- Details > Hardware is
perl:https://rhn.webqa.redhat.com/network/systems/details/hardware.pxt
- Details > Notes is perl:
https://rhn.webqa.redhat.com/network/systems/details/notes/notes_list.pxt

The nav for the java pages doesn't include 'Details > Connection' but the nav
for the perl pages does, so if you click on Details > Hardware or Details >
Notes the 'Details > Connection' page suddenly shows up.

Details > Connection is:
https://rhn.webqa.redhat.com/network/systems/details/connection.pxt

Comment 4 Máirín Duffy 2007-04-11 18:13:05 UTC
Created attachment 152307 [details]
screenshot of the sdc details > connection screen

Comment 5 Máirín Duffy 2007-04-11 18:16:15 UTC
this clone is for satellite

Comment 6 daryl herzmann 2007-05-17 02:27:05 UTC
Still exists in rhn501

Comment 7 Máirín Duffy 2007-07-06 21:53:06 UTC
see bug 236056, the hosted version of this bug, for which a fix is now checked in.

Comment 9 Devan Goodwin 2007-10-19 18:19:36 UTC
Fixed same as in hosted, bad equality check.

Sending        web/html/network/systems/details/connection.pxt
Transmitting file data .
Committed revision 133066.

Sending        java/code/src/com/redhat/rhn/common/security/acl/Access.java
Transmitting file data .
Committed revision 133067.


Comment 10 wes hayutin 2007-10-31 14:50:47 UTC
blocked by https://bugzilla.redhat.com/show_bug.cgi?id=360331

Comment 11 wes hayutin 2007-12-04 16:58:52 UTC
verified build26

Comment 12 Brandon Perkins 2008-04-02 21:07:34 UTC
UI Enhancements for 5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.